package com.jkcredit.sysnews.enums;

import com.jkcredit.sysnews.enums.base.EnumStatus;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PhotoStatusEnum implements EnumStatus {
    /**
     * 已上传服务器，未使用
     */
    UPLOAD_SUCCESS_NOT_USE(1, "已上传服务器，未使用"),
    /**
     * 已上传服务器, 已使用
     */
    UPLOAD_SUCCESS_HAVE_USED(2, "已上传服务器, 已使用");

    private Integer value;
    private String desc;
}
