package com.jkcredit.sysnews.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jkcredit.sysnews.model.dto.navigationBar.NavigationBarDto;
import com.jkcredit.sysnews.model.po.navigationBar.NavigationBarPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/29 20:57
 * @version: V1.0
 **/
public interface NavigationBarMapper extends BaseMapper<NavigationBarPo> {
    List<NavigationBarPo> getNavigationBars(@Param("query")NavigationBarDto navigationBarDto);

    NavigationBarPo getNavigationBarById(Long id);

    List<NavigationBarPo> getNavigationBarByParentId(Long id);

    List<NavigationBarPo> getNavigationBarOrder();

    List<NavigationBarPo> getNavigationBarsWithoutPage();
}
