package com.jkcredit.sysnews.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.photo.PhotoDto;
import com.jkcredit.sysnews.model.po.photo.PhotoPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 0:52
 * @version: V1.0
 **/
public interface PhotoMapper extends BaseMapper<PhotoPo> {
    IPage<PhotoPo> getPhotos(Page page, @Param("query")PhotoDto photoDto);

    PhotoPo getPhotoByUrl(String url);

    PhotoPo getHomePageMiddlePhoto();

    List<PhotoPo> getHomePageMainPhotos();
}
