package com.jkcredit.sysnews.model.dto.newsArticle;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 23:05
 * @version: V1.0
 **/
@Data
public class NewsArticleDto implements Serializable {
    private static final long serialVersionUID = 8514340584369948319L;
    private Long id;

    private String title;

    private String newsAbstract;

    private String content;

    private Long photoId;

    private List<Long> navigationBarIds;

    private MultipartFile photo;

    private List<String> urlList;

    private Integer topFlag;
}
