package com.jkcredit.sysnews.model.po.links;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/29 20:51
 * @version: V1.0
 **/
@Data
@ToString
@TableName("links")
public class LinksPo implements Serializable {
    private static final long serialVersionUID = -5116129250631663779L;

    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    private String url;
    private Long photoId;
    private Integer activated;
    private Date createTime;
    private Date updateTime;
    private Integer status;
    private String photoUrl;
}
