package com.jkcredit.sysnews.model.po.photo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/29 20:49
 * @version: V1.0
 **/
@Data
@ToString
@TableName("photo")
public class PhotoPo implements Serializable {
    private static final long serialVersionUID = -5569542075580659632L;

    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    private String url;
    private Integer type;
    private Integer activated;
    private Date createTime;
    private Date updateTime;
    private Integer status;
    private String goPageUrl;
}
