package com.jkcredit.sysnews.resource.web.links.fb;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/11 16:32
 * @version: V1.0
 **/
@Data
public class LinksAddFB implements Serializable {
    private static final long serialVersionUID = -866407909895418980L;
    @NotEmpty(message = "友情链接名称不能为空")
    private String name;
    @NotEmpty(message = "友情链接地址不能为空")
    private String url;
    @NotNull(message = "友情链接图片不能为空")
    private MultipartFile photo;
}
