package com.jkcredit.sysnews.resource.web.newsArticle.fb;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/2 0:46
 * @version: V1.0
 **/
@Data
public class NewsArticleFB implements Serializable {
    private static final long serialVersionUID = 8091367992494330969L;

    private Long id;

    private String title;

    private String newsAbstract;

    private String content;

    private Long photoId;

    private List<Long> navigationBarIds;

    private MultipartFile photo;

    private List<String> urlList;

    private Integer topFlag;
}
