package com.jkcredit.sysnews.service.links;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.links.LinksDto;
import com.jkcredit.sysnews.model.vo.links.LinksVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/11 15:41
 * @version: V1.0
 **/
public interface LinksService {
    void saveLinks(LinksDto linksDto);

    void deleteLinks(Long id);

    void editLinks(LinksDto linksDto);

    IPage<LinksVo> getLinksPage(Page page, LinksDto linksDto);

    LinksVo getLinkById(Long id);

    List<LinksVo> getLinksWithoutPage();
}
