package com.jkcredit.sysnews.service.navigationBar;

import com.jkcredit.sysnews.model.dto.navigationBar.NavigationBarDto;
import com.jkcredit.sysnews.model.vo.navigationBar.NavigationBarTreeVo;
import com.jkcredit.sysnews.model.vo.navigationBar.NavigationBarVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/8 23:59
 * @version: V1.0
 **/
public interface NavigationBarService {
    void saveNavigationBar(NavigationBarDto navigationBarDto);

    List<NavigationBarTreeVo> getNavigationBars(NavigationBarDto navigationBarDto);

    void editNavigationBar(NavigationBarDto dto);

    void deleteNavigationBar(Long id);

    NavigationBarVo getNavigationBarById(Long id);

    List<NavigationBarVo> getNavigationBarsWithoutPage();
}
