package com.jkcredit.sysnews.service.permission;

import com.jkcredit.sysnews.mapper.PermissionMapper;
import com.jkcredit.sysnews.model.po.permission.PermissionPo;
import com.jkcredit.sysnews.service.base.BaseService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/27 23:20
 * @version: V1.0
 **/
@Service
@Transactional(readOnly = true)
public class PermissionServiceImpl extends BaseService implements PermissionService {
    @Resource
    PermissionMapper permissionMapper;

    @Override
    public List<PermissionPo> getPermissionsByUserId(Long userId) {
        return permissionMapper.getPermissionsByUserId(userId);
    }
}
