package com.jkcredit.sysnews.service.photo;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.photo.PhotoDto;
import com.jkcredit.sysnews.model.po.photo.PhotoPo;
import com.jkcredit.sysnews.model.vo.photo.PhotoVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 0:26
 * @version: V1.0
 **/
public interface PhotoService {
    String upload(MultipartFile photo);

    IPage<PhotoVo> getPhotos(Page page, PhotoDto photoDto);

    PhotoVo savePhoto(PhotoDto photoDto);

    void editPhoto(PhotoDto photoDto);

    void deletePhoto(Long id);

    PhotoVo getPhotoById(Long id);

    PhotoPo getPhotoByUrl(String url);

    JSONObject getPhotosForHomePage();
}
