package com.jkcredit.sysnews.enums;

import com.jkcredit.sysnews.enums.base.EnumStatus;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PhotoTypeEnum implements EnumStatus {
    //图片类型；
    //1.首页大图；2.首页腰封图；3.新闻图片；4.友情链接图片
    /**
     * 首页大图
     */
    HOME_PAGE_FIRST_PHOTO(1, "首页大图"),

    /**
     * 首页腰封图
     */
    HOME_PAGE_MIDDLE_PHOTO(2, "首页腰封图"),

    /**
     * 新闻图片
     */
    NEWS_PHOTO(3, "新闻图片"),

    /**
     * 友情链接图片
     */
    LINKS_PHOTO(4, "友情链接图片");

    private Integer value;
    private String desc;
}
