package com.jkcredit.sysnews.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.links.LinksDto;
import com.jkcredit.sysnews.model.po.links.LinksPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/11 15:52
 * @version: V1.0
 **/
public interface LinksMapper extends BaseMapper<LinksPo> {
    IPage<LinksPo> getLinksPage(Page page, @Param("query")LinksDto linksDto);
    LinksPo getLinkById(Long id);
    List<LinksPo> getLinksWithoutPage();
}
