package com.jkcredit.sysnews.model.po.navigationBar;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/29 20:46
 * @version: V1.0
 **/
@Data
@ToString
@TableName("navigation_bar")
public class NavigationBarPo implements Serializable {
    private static final long serialVersionUID = -218690040563280483L;

    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    private Long parentId;
    private String parentIds;
    private Integer level;
    private String goPageUrl;
    private Integer homePageFlag;
    private Integer homePageOrder;
    private Integer activated;
    private Date createTime;
    private Date updateTime;
}
