package com.jkcredit.sysnews.model.po.newsArticle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/29 20:42
 * @version: V1.0
 **/
@Data
@ToString
@TableName("news_article")
public class NewsArticlePo implements Serializable {
    private static final long serialVersionUID = -840655960099220658L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private String title;

    private String newsAbstract;

    private String content;

    private Long photoId;

    private Integer activated;

    private Date createTime;

    private Date updateTime;

    private String photoUrl;

    private Integer topFlag;
}
