package com.jkcredit.sysnews.resource.web.navigationBar.fb;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/8 23:49
 * @version: V1.0
 **/
@Data
public class NavigationBarAddFB implements Serializable {
    private static final long serialVersionUID = 5371545970154196141L;

    @NotEmpty(message = "菜单名称不能为空")
    private String name;
    @NotNull(message = "父类id不能为空")
    private Long parentId;
    @NotNull(message = "菜单等级不能为空")
    private Integer level;
    private String goPageUrl;
    @NotNull(message = "是否首页展示不能为空")
    private Integer homePageFlag;
    private Integer homePageOrder;
}
