package com.jkcredit.sysnews.service.newsArticle;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.newsArticle.NewsArticleDto;
import com.jkcredit.sysnews.model.vo.newsArticle.NewsArticleBizVo;
import com.jkcredit.sysnews.model.vo.newsArticle.NewsArticleVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 22:46
 * @version: V1.0
 **/
public interface NewsArticleService {
    IPage<NewsArticleVo> getNewsArticles(Page page, NewsArticleDto newsArticleDto);

    NewsArticleVo getNewsArticleById(Long id);

    void saveNewsArticle(NewsArticleDto newsArticleDto);

    void editNewsArticle(NewsArticleDto newsArticleDto);

    void deleteNewsArticle(Long id);

    List<NewsArticleBizVo> getNewsArticleByNavigationBarId(Long id);
}
