package com.jkcredit.sysnews.service.user;

import com.jkcredit.sysnews.mapper.UserMapper;
import com.jkcredit.sysnews.model.po.user.UserPo;
import com.jkcredit.sysnews.service.base.BaseService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Optional;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/27 15:12
 * @version: V1.0
 **/
@Service
@Transactional(readOnly = true)
public class UserServiceImpl extends BaseService implements UserService{
    @Resource
    UserMapper userMapper;

    @Override
    public Optional<UserPo> getUserByUsername(String username) {
        return userMapper.getUserByUsername(username);
    }
}
